JUCE: UnitTestRunner::TestResult Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
UnitTestRunner::TestResult Struct Reference
juce_core » unit_tests

Contains the results of a test. More...

`#include <juce_UnitTest.h>`

## Public Member Functions
| TestResult ()=default
| TestResult (const String &name, const String &subCategory)

## Public Attributes
String | unitTestName
| The main name of this test (i.e.
String | subcategoryName
| The name of the current subcategory (i.e.
int | passes = 0
| The number of UnitTest::expect() calls that succeeded.
int | failures = 0
| The number of UnitTest::expect() calls that failed.
StringArray | messages
| A list of messages describing the failed tests.
Time | startTime = Time::getCurrentTime()
| The time at which this test was started.
Time | endTime
| The time at which this test ended.

## Detailed Description

Contains the results of a test.

One of these objects is instantiated each time UnitTest::beginTest() is called, and it contains details of the number of subsequent UnitTest::expect() calls that are made.

## Constructor & Destructor Documentation

## ◆ TestResult() [1/2]

UnitTestRunner::TestResult::TestResult | ( |  | ) |
| default

## ◆ TestResult() [2/2]

UnitTestRunner::TestResult::TestResult | ( | const String & | name,
|  | const String & | subCategory )
| explicit

## Member Data Documentation

## ◆ unitTestName

String UnitTestRunner::TestResult::unitTestName

The main name of this test (i.e.

the name of the UnitTest object being run).

## ◆ subcategoryName

String UnitTestRunner::TestResult::subcategoryName

The name of the current subcategory (i.e.

the name that was set when UnitTest::beginTest() was called).

## ◆ passes

int UnitTestRunner::TestResult::passes = 0

The number of UnitTest::expect() calls that succeeded.

## ◆ failures

int UnitTestRunner::TestResult::failures = 0

The number of UnitTest::expect() calls that failed.

## ◆ messages

StringArray UnitTestRunner::TestResult::messages

A list of messages describing the failed tests.

## ◆ startTime

Time UnitTestRunner::TestResult::startTime = Time::getCurrentTime()

The time at which this test was started.

## ◆ endTime

Time UnitTestRunner::TestResult::endTime

The time at which this test ended.

The documentation for this struct was generated from the following file:

- juce_UnitTest.h